<?php
/**
 * The Main page file.
 *
 * @link       https://cedcommerce.com
 * @since      1.0.0
 *
 * @package    Shopify_Connector_For_Woocommerce
 * @subpackage Shopify_Connector_For_Woocommerce/partials
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

if ( file_exists( CED_SCW_PATH . 'admin/partials/ced-scw-header.php' ) ) {
	require_once CED_SCW_PATH . 'admin/partials/ced-scw-header.php';
}
?>
	<div>
		<div class="ced-scw-section">
			<div class="ced-scw-conatiner">
				<div class="ced-ecart-row">
					<h1>Shopify Connector For WooCommerce</h1>
					<div class="ced-scw-row">
						<div class="ced-scw-selectform">
						<p><span class="ced-scw-form">From</span></p>
						<p>
							<span class="ced-scw-selectbox">Shopify</span>
						</p>
					</div>
					<div class="ced-scw-img">
						<span class="dashicons dashicons-arrow-right arrow_right"></span>
					</div>
					<div class="ced-scw-selectto">
						<p>
							<span class="ced-scw-to">To</span>
						</p>
						<p>
							<span  class="ced-scw-selectbox">WooCommerce</span>
						</p>
					</div>
				</div>
			</div>

			<p>The plugin allows merchants to connect their Shopify store with the WooCommerce Store.</p>
			
			<div>
				<button class="ced-scw-button ced-scw-goto-next" id="ced_shopify_dashboard_submit">NEXT</button>
			</div>
			</div>
		</div>
		<?php
		if ( isset( $_SERVER['HTTPS'] ) && 'on' === $_SERVER['HTTPS'] ) {
			$url = 'https://';
		} else {
			$url = 'http://';
		}
			$url .= isset( $_SERVER['HTTP_HOST'] ) ? sanitize_text_field( wp_unslash( $_SERVER['HTTP_HOST'] ) ) : '';
			$url .= isset( $_SERVER['REQUEST_URI'] ) ? sanitize_text_field( wp_unslash( $_SERVER['REQUEST_URI'] ) ) : '';
		?>

		<input type="hidden" class="ced_shopify_importer_current_url" value="<?php echo esc_attr( $url ); ?>">   
	</div>
</body>
</html>
