<?php
/**
 * Fired during plugin activation
 *
 * @link       https://cedcommerce.com
 * @since      1.0.0
 *
 * @package    Shopify_Connector_For_Woocommerce
 * @subpackage Shopify_Connector_For_Woocommerce/includes
 */

/**
 * Shopify_Connector_For_Woocommerce_Activator.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Shopify_Connector_For_Woocommerce
 * @subpackage Shopify_Connector_For_Woocommerce/includes
 */
class Shopify_Connector_For_Woocommerce_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		$upload_dir_path = wp_upload_dir()['basedir'] . '/cedcommerce-shopify-importer-logs';
		if ( ! is_dir( $upload_dir_path ) ) {
			wp_mkdir_p( $upload_dir_path );
			chmod( $upload_dir_path, 0775 );
		}

		$upload_dir_path_shopify = wp_upload_dir()['basedir'] . '/cedcommerce-shopify-importer-logs/shopify-logs';

		if ( ! is_dir( $upload_dir_path_shopify ) ) {
			wp_mkdir_p( $upload_dir_path_shopify );
			chmod( $upload_dir_path_shopify, 0775 );
		}
	}

}
