<?php
/**
 * Progress page
 *
 * @link       https://cedcommerce.com
 * @since      1.0.0
 *
 * @package    Shopify_Connector_For_Woocommerce
 * @subpackage Shopify_Connector_For_Woocommerce/includes/shopify
 */

$api_status = get_option( 'ced_shopify_api_status', true );
if ( 'valid' === $api_status ) {
	?>
<div class="ced-scw-progress-container">
	<div class="row">
	<div class="ced-scw-progress-head-title">
		<h3>Data Import Progress</h3>
	</div>
	<div class="ced-scw-progress-content">
		<div class="ced-row">
			<div class="ced-data-left">
				<p>Products</p>
			</div>
			<div class="ced-data-right">
				<div class="check1 shopify-product-check"></div>
			</div>
		</div>
		<div class="ced-row">
			<div class="ced-data-left">
				<p>Customers</p>
			</div>
			<div class="ced-data-right">
				<div class="check1 shopify-customer-check"></div>
			</div>
		</div>
		<div class="ced-row">
			<div class="ced-data-left">
				<p>Orders</p>
			</div>
			<div class="ced-data-right">
				<div class="check1 shopify-order-check"></div>
			</div>
		</div>
	</div>
	</div>
	<div class="row">
	<div class="ced-scw-progress-head-title">
		<h3>Current Progress:<span class="ced-scw-current-progress"></span></h3>
	</div>
	<div class="ced-scw-progress-content">
		<div class="ced-blink-me">Please don't refresh, wait until the import completes.</div>
		<div class="ced-row">
			<div class="progress">
				<div class="bar-complete" style="width:0%">
				<p class="percent bar-complete-percent"></p>
				</div>
				<p class="progress-text"></p>
			</div>
		</div>
	</div>
	</div>
	<!--3rd--->
	<div class="row">
	<div class="ced-scw-progress-head-title">
		<h3>Logs</h3>
	</div>
	<div class="ced-scw-progress-content">
		<div class="ced-scw-progress-row">
		   
		</div>
	</div>
	</div>
	<!---view logs--->
	<div class="row">
	<div class="ced-scw-progress-head-title">
		<h3>View Logs</h3>
	</div>
	<div class="ced-scw-progress-content">
		<div class="ced-row">
			<table class="ced-scw-progress-table">
				<thead>
				<tr>
					<th>Products</th>
					<th>Customers</th>
					<th>Orders</th>
				</tr>
				</thead>
				<tbody>
				<tr>
					<td class="ced-scw-progress-table-product"></td>
					<td class="ced-scw-progress-table-customer"></td>
					<td class="ced-scw-progress-table-order"></td>
				</tr>
				</tbody>
			</table>
		</div>
	</div>
	</div>
</div>
	<?php
} else {
	echo '<h1>Invalid Settings. Please check the API Credentials and Collections settings.</h1>';
}
?>
