(function( $ ) {
	'use strict';
	$(
		function() {

			if ( $( '#shopify_store_address' ).val() == '' ) {
				  $( '#shopify_store_address' ).css( 'border-color','red' );
			}
			if ( $( '#shopify_access_token' ).val() == '' ) {
				$( '#shopify_access_token' ).css( 'border-color','red' );
			}
			$( '.ced-scw-collections' ).select2();
			$( '.ced-scw-woocat' ).select2();
			$( '.ced-scw-location' ).select2();

			// Progress page
			$( '#ced_shopify_next_btn_progress' ).click(
				function(){
					var ced_shopify_current_new_url = $( '.ced_shopify_current_url_setting' ).val();
					window.location.href            = ced_shopify_current_new_url;
				}
			);

			function ced_scw_fetch_steps_shopify($opr_type){

				const response = $.ajax(
					{

						url : Ced_Shopify_connector_action_handler.ajax_url,
						type : 'post',
						async: false,
						data : {
							nonce    : Ced_Shopify_connector_action_handler.ajax_nonce,
							action   : 'ced_scw_fetch_steps_shopify',
							opr_type : $opr_type,
						},
						 }
				);
					 return JSON.parse( response.responseText );
			}

			function ced_fetch_log_file_path_shopify( $opr_type ){
				const response = $.ajax(
					{
						url : Ced_Shopify_connector_action_handler.ajax_url,
						type : 'post',
						async: false,
						data : {
							nonce    : Ced_Shopify_connector_action_handler.ajax_nonce,
							action   : 'ced_scw_fetch_log_file_path_shopify',
							opr_type : $opr_type,
						},
					}
				);
				return JSON.parse( response.responseText );
			}

			$( '.ced-scw-progress-container' ).ready(
				function(){
					$( '.progress-text' ).text( 'Waiting' );
					$( '.bar-complete' ).css( 'background','#938f8f' );
					$( '.bar-complete-percent' ).text( '0%' );
					if ( $( '.ced-scw-progress-container' ).is( ':visible' ) ) {

						var product_status;
						product_status = ced_scw_fetch_steps_shopify( 'product' );

						var customer_status;
						customer_status = ced_scw_fetch_steps_shopify( 'customer' );

						var order_status;
						order_status = ced_scw_fetch_steps_shopify( 'order' );

						if ( product_status.status == 'yes') {
							var total_product     = '';
							var left_product      = '';
							var processed_product = '';
							var page              = 1;
							var opr_type          = 'product';
							var path              = ced_fetch_log_file_path_shopify( opr_type );
							$( '.ced-scw-progress-table-product' ).prepend( "<a download href=" + path.product_log_url + " target='_blank' >Download Product Log</a>" );
							total_product = ced_shopify_prepare_product_ids_to_import();
							if ( total_product.total_product > 0 ) {
								ced_fetch_products_shopify_recursive( total_product.total_product,left_product,processed_product,page,path.product_log_path );
							} else {
								$( '.progress-text' ).text( 'Collection has no products.' );
								$( '.bar-complete' ).css( 'width', 100 + '%' );
								$( '.bar-complete' ).css( 'background','orange' );
								$( '.bar-complete-percent' ).text( 'Collection has no products.' );
							}
						} else if ( product_status.status == 'no' ) {
							if (	customer_status.status == 'yes' ) {
								var total_customer     = '';
								var left_customer      = '';
								var processed_customer = '';
								var since_id           = '';
								var opr_type           = 'customer';
								var path               = ced_fetch_log_file_path_shopify( opr_type );
								$( '.ced-scw-progress-table-customer' ).prepend( "<a href=" + path.customer_log_url + " target='_blank' >Download Customer Log</a>" );
								ced_fetch_customers_shopify_recursive( total_customer,left_customer,processed_customer,since_id,path.customer_log_path );
							} else if (customer_status.status == 'no') {
								if (order_status.status == 'yes') {
									var total_order     = '';
									var left_order      = '';
									var processed_order = '';
									var since_id        = '';
									var opr_type        = 'order';
									var path            = ced_fetch_log_file_path_shopify( opr_type );
									$( '.ced-scw-progress-table-order' ).prepend( "<a href=" + path.order_log_url + " target='_blank' >Download Order Log</a>" );
									ced_fetch_orders_shopify_recursive( total_order,left_order,processed_order,since_id,path.order_log_path );
								} else if (order_status.status == 'no') {
									console.log( "Please enable the options to be import" );
								}
							}

						}

					}
				}
			);

			function ced_shopify_prepare_product_ids_to_import(){
				const response = $.ajax(
					{
						url : Ced_Shopify_connector_action_handler.ajax_url,
						type : 'post',
						async: false,
						data : {
							nonce : Ced_Shopify_connector_action_handler.ajax_nonce,
							action : 'ced_shopify_prepare_product_ids_to_import',
						},
						 }
				);
					 return JSON.parse( response.responseText );
			}

			function ced_fetch_products_shopify_recursive(total_product,left_product,processed_product,page,path){
				let product_path = path;
				jQuery.ajax(
					{
						url  : Ced_Shopify_connector_action_handler.ajax_url,
						type : 'post',
						data : {
							total_product		: total_product,
							left_product		: left_product,
							processed_product	: processed_product,
							page				: page,
							product_path		: path,
							nonce 				: Ced_Shopify_connector_action_handler.ajax_nonce,
							action 				: 'ced_scw_fetch_product_data_shopify',
						},
						success : function(response) {
							response = JSON.parse( response );
							if (response.message == 'failed') {
								$( '.progress-text' ).text( 'Something went wrong' );
							} else {
								$( '.ced-scw-current-progress' ).text( 'Product' );
								$( '.progress-text' ).text( 'In Progress' );
								$( '.bar-complete' ).css( 'width', ((response.processed_product) * 100 / parseInt( response.total_product )).toFixed( 1 ) + '%' );
								$( '.bar-complete' ).css( 'background','orange' );
								$( '.bar-complete-percent' ).text( ((response.processed_product) * 100 / parseInt( response.total_product )).toFixed( 1 ) + '%' );

								$.each(
									response.product_status,
									function( key, value ) {
										$( '.ced-scw-progress-content .ced-scw-progress-row' ).prepend( '<p>' + value + '</p>' );
									}
								);

								if ( response.left_product > 0 ) {
									ced_fetch_products_shopify_recursive( response.total_product,response.left_product,response.processed_product,response.page,product_path );
								} else {
									$( '.shopify-product-check' ).css( 'background','green' );
									$( '.progress-text' ).text( 'Completed' );
									$( '.bar-complete' ).css( 'background','green' );

									var customer_status;
									customer_status = ced_scw_fetch_steps_shopify( 'customer' );
									if (customer_status.status == 'yes') {
										var total_customer     = '';
										var left_customer      = '';
										var processed_customer = '';
										var since_id           = '';
										var opr_type           = 'customer';
										var path               = ced_fetch_log_file_path_shopify( opr_type );
										$( '.ced-scw-progress-table-customer' ).prepend( "<a href=" + path.customer_log_url + " target='_blank' >Download Customer Log</a>" );
										ced_fetch_customers_shopify_recursive( total_customer,left_customer,processed_customer,since_id,path.customer_log_path );
									} else if (customer_status.status == 'no') {
										var order_status;
										order_status = ced_scw_fetch_steps_shopify( 'order' );
										if (order_status.status == 'yes') {
											var total_order     = '';
											var left_order      = '';
											var processed_order = '';
											var since_id        = '';
											var opr_type        = 'order';
											var path            = ced_fetch_log_file_path_shopify( opr_type );
											$( '.ced-scw-progress-table-order' ).prepend( "<a href=" + path.order_log_url + " target='_blank' >Download Order Log</a>" );
											ced_fetch_orders_shopify_recursive( total_order,left_order,processed_order,since_id,path.order_log_path );
										} else if (order_status.status == 'no') {
											console.log( "Please enable the options to be import" );
										}
									}

								}
							}

						}
					  }
				)
			}

			function ced_fetch_customers_shopify_recursive(total_customer,left_customer,processed_customer,since_id,path){
				var customer_path = path;
				jQuery.ajax(
					{
						url : Ced_Shopify_connector_action_handler.ajax_url,
						type : 'post',
						data : {
							total_customer:total_customer,
							left_customer:left_customer,
							processed_customer:processed_customer,
							since_id:since_id,
							customer_path:path,
							nonce : Ced_Shopify_connector_action_handler.ajax_nonce,
							action : 'ced_shopify_fetch_customers_data',
						},
						success : function(response) {
							response = JSON.parse( response );
							if (response.message == 'failed') {
								   $( '.ced-scw-current-progress' ).text( 'Customer' );
								   $( '.progress-text' ).text( 'Something Went Wrong' );
								   $( '.bar-complete' ).css( 'width', (0).toFixed( 1 ) + '%' );
								   $( '.bar-complete' ).css( 'background','' );
								   $( '.bar-complete-percent' ).text( (0).toFixed( 1 ) + '%' );
							} else {
								$( '.ced-scw-current-progress' ).text( 'Customer' );
								$( '.progress-text' ).text( 'In Progress' );
								$( '.bar-complete' ).css( 'width', ((response.processed_customer) * 100 / parseInt( response.total_customer )).toFixed( 1 ) + '%' );
								$( '.bar-complete' ).css( 'background','orange' );
								$( '.bar-complete-percent' ).text( ((response.processed_customer) * 100 / parseInt( response.total_customer )).toFixed( 1 ) + '%' );

								$.each(
									response.customer_status,
									function( key, value ) {
										   $( '.ced-scw-progress-content .ced-scw-progress-row' ).prepend( '<p>' + value + '</p>' );
									}
								);
								var total_customer     = response.total_customer;
								var left_customer      = response.left_customer;
								var processed_customer = response.processed_customer;
								var since_id           = response.since_id;
								var path               = customer_path;

								if ( left_customer > 0 ) {
									ced_fetch_customers_shopify_recursive( total_customer,left_customer,processed_customer,since_id,customer_path );
								} else {
									$( '.shopify-customer-check' ).css( 'background','green' );
									$( '.progress-text' ).text( 'Completed' );
									$( '.bar-complete' ).css( 'background','green' );
									var order_status;
									order_status = ced_scw_fetch_steps_shopify( 'order' );
									if (order_status.status == 'yes') {
										 var total_order     = '';
										 var left_order      = '';
										 var processed_order = '';
										 var since_id        = '';
										 var opr_type        = 'order';
										 var path            = ced_fetch_log_file_path_shopify( opr_type );
										 $( '.ced-scw-progress-table-order' ).prepend( "<a href=" + path.order_log_url + " target='_blank' >Download Order Log</a>" );
										 ced_fetch_orders_shopify_recursive( total_order,left_order,processed_order,since_id,path.order_log_path );
									}
								}
							}

						}
					}
				);
			}

			function ced_fetch_orders_shopify_recursive(total_order,left_order,processed_order,since_id,path){
				var order_log_path = path;
				jQuery.ajax(
					{
						url : Ced_Shopify_connector_action_handler.ajax_url,
						type:'post',
						data:{
							nonce : Ced_Shopify_connector_action_handler.ajax_nonce,
							action:'ced_shopify_fetch_orders',
							total_order:total_order,
							left_order:left_order,
							processed_order:processed_order,
							since_id:since_id,
							order_path:path,
						},
						success:function(response){
							response = JSON.parse( response );
							if (response.message == "failed") {
								$( '.ced-scw-current-progress' ).text( 'Order' );
								$( '.progress-text' ).text( 'Something Went Wrong' );
								$( '.bar-complete' ).css( 'width', (0).toFixed( 1 ) + '%' );
								$( '.bar-complete' ).css( 'background','' );
								$( '.bar-complete-percent' ).text( (0).toFixed( 1 ) + '%' );
							} else {
								$( '.ced-scw-current-progress' ).text( 'Order' );
								$( '.progress-text' ).text( 'In Progress' );
								$( '.bar-complete' ).css( 'width', ((response.processed_order) * 100 / parseInt( response.total_order )).toFixed( 1 ) + '%' );
								$( '.bar-complete' ).css( 'background','orange' );
								$( '.bar-complete-percent' ).text( ((response.processed_order) * 100 / parseInt( response.total_order )).toFixed( 1 ) + '%' );

								$.each(
									response.order_status,
									function( key, value ) {
										   $( '.ced-scw-progress-content .ced-scw-progress-row' ).prepend( '<p>' + value + '</p>' );
									}
								);
								var total_order     = response.total_order;
								var left_order      = response.left_order;
								var processed_order = response.processed_order;
								var since_id        = response.since_id;
								var path            = order_log_path;
								if ( left_order > 0 ) {
									ced_fetch_orders_shopify_recursive( total_order,left_order,processed_order,since_id,path );
								} else {
									$( '.shopify-order-check' ).css( 'background','green' );
									$( '.progress-text' ).text( 'Completed' );
									$( '.bar-complete' ).css( 'background','green' );
								}
							}

						}
					}
				)
			}
		}
	);

})( jQuery );
